﻿<%@ Control Language="C#" CodeBehind="DefaultTemplate.ascx.cs" Inherits="CheckboxWeb.Forms.Surveys.Controls.TakeSurvey.Templates.DefaultTemplate" %>
<%@ Import Namespace="Checkbox.Management" %>

<%-- This file is used by Checkbox when a survey page has no user-defined template associated with it --%>

<script type="text/javascript">
    $(function () {
        <% if(!ApplicationManager.AppSettings.SetSurveyDefaultButton) { %>
            $('body').keypress(function(e) {
                if(e.keyCode == 13){ 
                    return false;
                } 
            });
        <% } %>
    });
</script>

<%-- Header --%>
<div class="headWrapper">
    <ckbx:ControlLayoutZone ID="_headerZone" ZoneName="Header" runat="server" DesignBlockMode="true"></ckbx:ControlLayoutZone>
    <div class="clear"></div>
</div>
<div class="clear"></div>

<%-- Take Survey Frame --%>
<div class="wrapperMaster">
    <div class="center borderRadius surveyContentFrame">
        <div class="innerSurveyContentFrame">
            <ckbx:ControlLayoutZone ID="_titleZone" ZoneName="Title" runat="server" DesignBlockMode="true"></ckbx:ControlLayoutZone>
            <div class="clear"></div>
    
            <ckbx:ControlLayoutZone ID="_progressZoneTop" ZoneName="Progress Bar Top" runat="server" DesignBlockMode="true"></ckbx:ControlLayoutZone>
            <div class="clear"></div>

            <ckbx:ControlLayoutZone ID="_pageNumberZone" ZoneName="Page Numbers" runat="server" DesignBlockMode="true"></ckbx:ControlLayoutZone>
            <div class="clear"></div>

            <div class="itemZoneWrapper">
                <%-- Item Zone --%>
                <ckbx:ControlLayoutZone ID="_defaultZone" ZoneName="Default" runat="server" DesignBlockMode="true" CssClass="Page"></ckbx:ControlLayoutZone>
                <div class="clear"></div>
            </div>
            <div class="clear"></div>
            
            <ckbx:ControlLayoutZone ID="_progressZoneBottom" ZoneName="Progress Bar Bottom" runat="server" DesignBlockMode="true"></ckbx:ControlLayoutZone>
        </div>
        <%-- Buttons --%>
        <div class="navigationWrapper">
            <!--<hr size="1" />-->
            <div class="surveyButtonsContainer">
                <ckbx:ControlLayoutZone ID="_previousZone" ZoneName="Back" runat="server" DesignBlockMode="false"></ckbx:ControlLayoutZone>
                <ckbx:ControlLayoutZone ID="_saveZone" ZoneName="Save and Quit" runat="server" DesignBlockMode="false"></ckbx:ControlLayoutZone>
                <ckbx:ControlLayoutZone ID="_resetZone" ZoneName="Form Reset" runat="server" DesignBlockMode="false"></ckbx:ControlLayoutZone>
                <ckbx:ControlLayoutZone ID="_nextZone" ZoneName="Next/Finish" runat="server" DesignBlockMode="false"></ckbx:ControlLayoutZone>
                <div class="clear"></div>
            </div>
        </div>
    </div>
</div>

<%-- Footer --%>
<div class="footerWrapper">
    <ckbx:ControlLayoutZone ID="_footerZone" ZoneName="Footer" runat="server" DesignBlockMode="true"></ckbx:ControlLayoutZone>
    <div class="clear"></div>
</div>
<div class="clear"></div>

